import{s as ht,n as mt,o as ot}from"../chunks/scheduler.49e4e380.js";import{S as ft,i as pt,g as a,s as l,r as u,A as ct,h as r,f as n,c as s,j as ut,u as g,x as d,k as gt,y as bt,a as i,v as h,d as m,t as o,w as f}from"../chunks/index.fb15006d.js";import{C as wt}from"../chunks/CodeBlock.f39e0d63.js";import{C as $t}from"../chunks/CourseFloatingBanner.3ce48d00.js";import{H as p,E as vt}from"../chunks/EditOnGithub.10fe26d0.js";function Mt(Ue){let c,te,J,ne,b,ie,w,le,$,qe=`Die Modellkarte (Steckbrief) ist eine Datei, die wahrscheinlich genauso wichtig wie das Modell und der Tokenizer in dem Modell-Repository ist.
Da liegt die zentrale Definition vom Modell und sie trägt dazu bei, dass andere Menschen der Community das wiederverwenden und die Ergebnisse reproduzieren können – also das ist die Basis, auf der Andere ihre Artifakte bauen können.`,se,v,Ie=`Die Dokumentation zum Modell- Training und Evaluierung hilft anderen Nutzer:innen zu verstehen, was sie vom Modell erwarten sollten.
Ausreichende Information zu der Vor- und Nachaufarbeitung der Daten dient auch dazu, dass man die Einschränkungen, Biases und den Kontext identifizieren kann, wann das Modell nützlich ist und wann nicht.`,ae,M,Re="Deswegen ist die Erstellung einer klar definierten Modellkarte ein sehr wichtiger Schritt. Hier geben wir ein Paar Hinweise, die dir dabei helfen könnten. Die Modellkarte wird durch eine <em>README.md</em> Datei (eine Markdown Datei) kreiert, die du schonmal gesehen hast.",re,k,Ne='Das Konzept von Modellkarte (“model card”) stammt aus einer Forschungsrichtung bei Google, die zuerst in dem Paper <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">“Model Cards for Model Reporting”</a> von Margaret Mitchell et al erschien. Vieles von dem, was hier steht, basiert auf dem Paper und wir empfehlen dir, das Paper zu lesen, um besser zu verstehen, warum Modellkarten so wichtig sind, wenn man Wert auf Reproduzierbarkeit, Wiederverwendbarkeit und Fairness legt.',de,z,Ke="Eine Modellkarte fängt mit einer kurzen, große Übersicht davon, was das Modell kann plus einige Details in den folgenden Abschnitte:",ue,x,Qe="<li>Modell-Beschreibung</li> <li>Beabsichtigte Nutzung und Einschränkungen</li> <li>Modell-Bedienung</li> <li>Einschränkungen und Bias</li> <li>Trainingsdaten</li> <li>Trainingsverfahren</li> <li>Evaluierungsergebnisse</li>",ge,C,We="Lass uns anschauen, was genau in jedem Abschnitt stehen sollte.",he,T,me,D,Ge="Die Modellbeschreibung enthält grundlegende Details zum Modell. Dazu gehören die Architektur, die Version, ob es in einem Paper vorgestellt wurde, ob eine Originalimplementierung verfügbar ist, der Autor und allgemeine Informationen über das Modell. Eventuelle Urheberrechte sind hier anzugeben. In diesem Abschnitt können auch allgemeine Informationen zu Trainingsverfahren, Parametern und wichtigen Haftungsausschlüssen erwähnt werden.",oe,_,fe,B,Oe="Hier beschreibst du die angedachten Anwendungsfälle fürs Modell, einschließlich der Sprachen, Felder und Domänen, in denen es angewendet werden kann. In diesem Abschnitt der Modellkarte können auch Bereiche dokumentiert werden, die bekanntermaßen außerhalb des Anwendungsbereichs des Modells liegen oder in denen die Leistung wahrscheinlich nicht optimal ist.",pe,E,ce,P,Ze="Dieser Abschnitt sollte einige Beispiele für die Verwendung des Modells enthalten. Dies kann die Verwendung der Funktion <code>pipeline()</code>, die Verwendung der Modell- und Tokenizer-Klassen und jeden anderen Code zeigen, der deiner Meinung nach hilfreich sein könnte.",be,A,we,H,Xe="In diesem Teil sollte angegeben werden, auf welchen Datensatz bzw. Datensätze das Modell trainiert wurde. Eine kurze Beschreibung des Datensatzes/der Datensätze ist ebenfalls willkommen.",$e,L,ve,j,Ye="In diesem Abschnitt solltest du alle relevanten Aspekte des Modelltrainingsverfahren beschreiben, die für die Reproduzierbarkeit nützlich sind. Dazu gehören alle Vor- und Nachbearbeitungen, die an den Daten durchgeführt wurden, sowie Details wie die Anzahl der Trainingsepochene, Batch-Größe, die Lernrate usw.",Me,V,ke,y,Je="Hier solltest du die Bewertungsmetriken beschreiben und die verschiedenen Faktoren, die du dabei mit berücksichtigst. Durch die Angabe, welche Metrik(en) verwendet wurden, für welchen Datensatz und welche Datensatzaufteilung, kannst du die Leistung deines Modells leicht mit der anderer Modelle vergleichen. Diese sollten durch die vorherigen Abschnitte informiert werden, wie z. B. die beabsichtigten Benutzer und Anwendungsfälle.",ze,S,xe,F,et="Abschließend gibst du an, wie gut das Modell mit dem Bewertungsdatensatz abschneidet. Wenn das Modell einen Entscheidungsschwellenwert verwendet, gib entweder den in der Bewertung verwendeten Entscheidungsschwellenwert an oder mach Angaben zur Bewertung bei verschiedenen Schwellenwerten für die beabsichtigten Verwendungszwecke.",Ce,U,Te,q,tt="Im Folgenden findest du einige Beispiele von guten Modellkarten:",De,I,nt='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',_e,R,it='Mehr Beispiele von verschiedene Organisationen/Firmen sind hier verfügbar <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">here</a>.',Be,N,Ee,K,lt="Modellkarten sind bei der Veröffentlichung von Modellen nicht erforderlich und du musst bei der Erstellung nicht alle oben beschriebenen Abschnitte einbeziehen. Allerdings kann eine explizite Dokumentation des Modells künftigen Nutzern nur nützen, daher empfehlen wir dir, so viele Abschnitte wie möglich nach bestem Wissen und Gewissen auszufüllen.",Pe,Q,Ae,W,st="Wenn du den Hugging Face Hub ein wenig erkundet hast, solltest du gesehen haben, dass einige Modelle zu bestimmten Kategorien gehören: Du kannst sie nach Aufgaben, Sprachen, Bibliotheken und mehr filtern. Die Kategorien, zu denen ein Modell gehört, werden anhand der Metadaten identifiziert, die du im Kopf der Modellkarte hinzufügst.",He,G,at='Zum Beispiel sieh dir dieses an <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow"><code>camembert-base</code> model card</a>. Du solltest folgende Zeilen auf der Modellkarte sehen:',Le,O,je,Z,rt="Diese Metadaten werden vom Hugging Face Hub analysiert, der dieses Modell dann als französisches Modell mit einer MIT-Lizenz identifiziert, das auf dem Oscar-Datensatz trainiert wurde.",Ve,X,dt='Die vollständige <a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">Modellkarte</a> ermöglicht die Angabe von Sprachen, Lizenzen, Tags, Datensätzen, Metriken sowie den Bewertungsergebnissen, die das Modell wann erhalten hat Ausbildung.',ye,Y,Se,ee,Fe;return b=new p({props:{title:"Erstellung einer Modellkarte (“model card”)",local:"erstellung-einer-modellkarte-model-card",headingTag:"h1"}}),w=new $t({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),T=new p({props:{title:"Modell-Beschreibung",local:"modell-beschreibung",headingTag:"h3"}}),_=new p({props:{title:"Verwendungszweck und Einschränkungen",local:"verwendungszweck-und-einschränkungen",headingTag:"h3"}}),E=new p({props:{title:"Modell-Bedienung",local:"modell-bedienung",headingTag:"h3"}}),A=new p({props:{title:"Trainingsdaten",local:"trainingsdaten",headingTag:"h3"}}),L=new p({props:{title:"Trainingsverfahren",local:"trainingsverfahren",headingTag:"h3"}}),V=new p({props:{title:"Variablen und Metriken",local:"variablen-und-metriken",headingTag:"h3"}}),S=new p({props:{title:"Evaluierungsergebnisse",local:"evaluierungsergebnisse",headingTag:"h3"}}),U=new p({props:{title:"Beispiel",local:"beispiel",headingTag:"h2"}}),N=new p({props:{title:"Hinweis",local:"hinweis",headingTag:"h2"}}),Q=new p({props:{title:"Modellkarte-Metadaten",local:"modellkarte-metadaten",headingTag:"h2"}}),O=new wt({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),Y=new vt({props:{source:"https://github.com/huggingface/course/blob/main/chapters/de/chapter4/4.mdx"}}),{c(){c=a("meta"),te=l(),J=a("p"),ne=l(),u(b.$$.fragment),ie=l(),u(w.$$.fragment),le=l(),$=a("p"),$.textContent=qe,se=l(),v=a("p"),v.textContent=Ie,ae=l(),M=a("p"),M.innerHTML=Re,re=l(),k=a("p"),k.innerHTML=Ne,de=l(),z=a("p"),z.textContent=Ke,ue=l(),x=a("ul"),x.innerHTML=Qe,ge=l(),C=a("p"),C.textContent=We,he=l(),u(T.$$.fragment),me=l(),D=a("p"),D.textContent=Ge,oe=l(),u(_.$$.fragment),fe=l(),B=a("p"),B.textContent=Oe,pe=l(),u(E.$$.fragment),ce=l(),P=a("p"),P.innerHTML=Ze,be=l(),u(A.$$.fragment),we=l(),H=a("p"),H.textContent=Xe,$e=l(),u(L.$$.fragment),ve=l(),j=a("p"),j.textContent=Ye,Me=l(),u(V.$$.fragment),ke=l(),y=a("p"),y.textContent=Je,ze=l(),u(S.$$.fragment),xe=l(),F=a("p"),F.textContent=et,Ce=l(),u(U.$$.fragment),Te=l(),q=a("p"),q.textContent=tt,De=l(),I=a("ul"),I.innerHTML=nt,_e=l(),R=a("p"),R.innerHTML=it,Be=l(),u(N.$$.fragment),Ee=l(),K=a("p"),K.textContent=lt,Pe=l(),u(Q.$$.fragment),Ae=l(),W=a("p"),W.textContent=st,He=l(),G=a("p"),G.innerHTML=at,Le=l(),u(O.$$.fragment),je=l(),Z=a("p"),Z.textContent=rt,Ve=l(),X=a("p"),X.innerHTML=dt,ye=l(),u(Y.$$.fragment),Se=l(),ee=a("p"),this.h()},l(e){const t=ct("svelte-u9bgzb",document.head);c=r(t,"META",{name:!0,content:!0}),t.forEach(n),te=s(e),J=r(e,"P",{}),ut(J).forEach(n),ne=s(e),g(b.$$.fragment,e),ie=s(e),g(w.$$.fragment,e),le=s(e),$=r(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-tee55j"&&($.textContent=qe),se=s(e),v=r(e,"P",{"data-svelte-h":!0}),d(v)!=="svelte-1jqqler"&&(v.textContent=Ie),ae=s(e),M=r(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-1buayeo"&&(M.innerHTML=Re),re=s(e),k=r(e,"P",{"data-svelte-h":!0}),d(k)!=="svelte-vuiqs0"&&(k.innerHTML=Ne),de=s(e),z=r(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-1hod50o"&&(z.textContent=Ke),ue=s(e),x=r(e,"UL",{"data-svelte-h":!0}),d(x)!=="svelte-1rciswt"&&(x.innerHTML=Qe),ge=s(e),C=r(e,"P",{"data-svelte-h":!0}),d(C)!=="svelte-4aoudc"&&(C.textContent=We),he=s(e),g(T.$$.fragment,e),me=s(e),D=r(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-8gasga"&&(D.textContent=Ge),oe=s(e),g(_.$$.fragment,e),fe=s(e),B=r(e,"P",{"data-svelte-h":!0}),d(B)!=="svelte-9wq8y9"&&(B.textContent=Oe),pe=s(e),g(E.$$.fragment,e),ce=s(e),P=r(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-wp1maa"&&(P.innerHTML=Ze),be=s(e),g(A.$$.fragment,e),we=s(e),H=r(e,"P",{"data-svelte-h":!0}),d(H)!=="svelte-vfa0q7"&&(H.textContent=Xe),$e=s(e),g(L.$$.fragment,e),ve=s(e),j=r(e,"P",{"data-svelte-h":!0}),d(j)!=="svelte-b0uwat"&&(j.textContent=Ye),Me=s(e),g(V.$$.fragment,e),ke=s(e),y=r(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-paqit8"&&(y.textContent=Je),ze=s(e),g(S.$$.fragment,e),xe=s(e),F=r(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1ocu7jt"&&(F.textContent=et),Ce=s(e),g(U.$$.fragment,e),Te=s(e),q=r(e,"P",{"data-svelte-h":!0}),d(q)!=="svelte-yjmq45"&&(q.textContent=tt),De=s(e),I=r(e,"UL",{"data-svelte-h":!0}),d(I)!=="svelte-1fs0egh"&&(I.innerHTML=nt),_e=s(e),R=r(e,"P",{"data-svelte-h":!0}),d(R)!=="svelte-mqb0ta"&&(R.innerHTML=it),Be=s(e),g(N.$$.fragment,e),Ee=s(e),K=r(e,"P",{"data-svelte-h":!0}),d(K)!=="svelte-1jxl8gb"&&(K.textContent=lt),Pe=s(e),g(Q.$$.fragment,e),Ae=s(e),W=r(e,"P",{"data-svelte-h":!0}),d(W)!=="svelte-1352y2l"&&(W.textContent=st),He=s(e),G=r(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-xyn2os"&&(G.innerHTML=at),Le=s(e),g(O.$$.fragment,e),je=s(e),Z=r(e,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-14cl6v"&&(Z.textContent=rt),Ve=s(e),X=r(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1jyom4w"&&(X.innerHTML=dt),ye=s(e),g(Y.$$.fragment,e),Se=s(e),ee=r(e,"P",{}),ut(ee).forEach(n),this.h()},h(){gt(c,"name","hf:doc:metadata"),gt(c,"content",kt)},m(e,t){bt(document.head,c),i(e,te,t),i(e,J,t),i(e,ne,t),h(b,e,t),i(e,ie,t),h(w,e,t),i(e,le,t),i(e,$,t),i(e,se,t),i(e,v,t),i(e,ae,t),i(e,M,t),i(e,re,t),i(e,k,t),i(e,de,t),i(e,z,t),i(e,ue,t),i(e,x,t),i(e,ge,t),i(e,C,t),i(e,he,t),h(T,e,t),i(e,me,t),i(e,D,t),i(e,oe,t),h(_,e,t),i(e,fe,t),i(e,B,t),i(e,pe,t),h(E,e,t),i(e,ce,t),i(e,P,t),i(e,be,t),h(A,e,t),i(e,we,t),i(e,H,t),i(e,$e,t),h(L,e,t),i(e,ve,t),i(e,j,t),i(e,Me,t),h(V,e,t),i(e,ke,t),i(e,y,t),i(e,ze,t),h(S,e,t),i(e,xe,t),i(e,F,t),i(e,Ce,t),h(U,e,t),i(e,Te,t),i(e,q,t),i(e,De,t),i(e,I,t),i(e,_e,t),i(e,R,t),i(e,Be,t),h(N,e,t),i(e,Ee,t),i(e,K,t),i(e,Pe,t),h(Q,e,t),i(e,Ae,t),i(e,W,t),i(e,He,t),i(e,G,t),i(e,Le,t),h(O,e,t),i(e,je,t),i(e,Z,t),i(e,Ve,t),i(e,X,t),i(e,ye,t),h(Y,e,t),i(e,Se,t),i(e,ee,t),Fe=!0},p:mt,i(e){Fe||(m(b.$$.fragment,e),m(w.$$.fragment,e),m(T.$$.fragment,e),m(_.$$.fragment,e),m(E.$$.fragment,e),m(A.$$.fragment,e),m(L.$$.fragment,e),m(V.$$.fragment,e),m(S.$$.fragment,e),m(U.$$.fragment,e),m(N.$$.fragment,e),m(Q.$$.fragment,e),m(O.$$.fragment,e),m(Y.$$.fragment,e),Fe=!0)},o(e){o(b.$$.fragment,e),o(w.$$.fragment,e),o(T.$$.fragment,e),o(_.$$.fragment,e),o(E.$$.fragment,e),o(A.$$.fragment,e),o(L.$$.fragment,e),o(V.$$.fragment,e),o(S.$$.fragment,e),o(U.$$.fragment,e),o(N.$$.fragment,e),o(Q.$$.fragment,e),o(O.$$.fragment,e),o(Y.$$.fragment,e),Fe=!1},d(e){e&&(n(te),n(J),n(ne),n(ie),n(le),n($),n(se),n(v),n(ae),n(M),n(re),n(k),n(de),n(z),n(ue),n(x),n(ge),n(C),n(he),n(me),n(D),n(oe),n(fe),n(B),n(pe),n(ce),n(P),n(be),n(we),n(H),n($e),n(ve),n(j),n(Me),n(ke),n(y),n(ze),n(xe),n(F),n(Ce),n(Te),n(q),n(De),n(I),n(_e),n(R),n(Be),n(Ee),n(K),n(Pe),n(Ae),n(W),n(He),n(G),n(Le),n(je),n(Z),n(Ve),n(X),n(ye),n(Se),n(ee)),n(c),f(b,e),f(w,e),f(T,e),f(_,e),f(E,e),f(A,e),f(L,e),f(V,e),f(S,e),f(U,e),f(N,e),f(Q,e),f(O,e),f(Y,e)}}}const kt='{"title":"Erstellung einer Modellkarte (“model card”)","local":"erstellung-einer-modellkarte-model-card","sections":[{"title":"Modell-Beschreibung","local":"modell-beschreibung","sections":[],"depth":3},{"title":"Verwendungszweck und Einschränkungen","local":"verwendungszweck-und-einschränkungen","sections":[],"depth":3},{"title":"Modell-Bedienung","local":"modell-bedienung","sections":[],"depth":3},{"title":"Trainingsdaten","local":"trainingsdaten","sections":[],"depth":3},{"title":"Trainingsverfahren","local":"trainingsverfahren","sections":[],"depth":3},{"title":"Variablen und Metriken","local":"variablen-und-metriken","sections":[],"depth":3},{"title":"Evaluierungsergebnisse","local":"evaluierungsergebnisse","sections":[],"depth":3},{"title":"Beispiel","local":"beispiel","sections":[],"depth":2},{"title":"Hinweis","local":"hinweis","sections":[],"depth":2},{"title":"Modellkarte-Metadaten","local":"modellkarte-metadaten","sections":[],"depth":2}],"depth":1}';function zt(Ue){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends ft{constructor(c){super(),pt(this,c,zt,Mt,ht,{})}}export{Bt as component};
