import{s as ut,n as pt,o as ct}from"../chunks/scheduler.37c15a92.js";import{S as ft,i as gt,g as o,s as a,r as d,A as vt,h as s,f as i,c as n,j as dt,u as m,x as r,k as mt,y as $t,a as l,v as u,d as p,t as c,w as f}from"../chunks/index.2bf4358c.js";import{C as zt}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as ht}from"../chunks/CourseFloatingBanner.06521e8b.js";import{H as g,E as bt}from"../chunks/EditOnGithub.8916dc7c.js";function xt(Se){let v,te,K,ie,$,le,z,ae,h,Fe="Il cartellino del modello (model card) è un file di importanza pari ai file del modello e del tokenizer in un repository. Contiene la definizione del modello, assicurando la possibilità di riutilizzarlo e riprodurre i risultati da parte dei membri della comunità, e facendo si che il modello sia una piattaforma su cui gli altri membri possono costruire i loro artefatti.",ne,b,Be="Documentare il processo di addestramento e valutazione aiuta gli altri a capire cosa aspettarsi dal modello — inoltre, fornire informazioni accurate sui dati utilizzati e sulle operazioni di pre e post elaborazione (preprocessing e postprocessing), assicura che si possano identificare e comprenere le limitazioni, i bias, e i contesti in cui il modello è utile, e quelli in cui non lo è.",oe,x,Ae="Per questo creare un cartellino del modello che descriva chiaramente il modello, è un passo estremamente importante. Qui, forniamo alcuni suggerimenti per farlo. Il cartellino del modello viene creato tramite il file <em>README.md</em>, visto in precedenza, che è un file Markdown.",se,C,Ge='Il concetto del cartellino trae origine dalla ricerca svolta a Google, e pubblicata per la prima volta nell’articolo <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">“Model Cards for Model Reporting”</a> di Margaret Mitchell et al. Molte informazioni contenute qui sono basate su quell’artictolo, e raccomandiamo a tutti di leggerlo per capire l’importanza del cartellino del modello in un mondo che valorizza la reproduzione, la riutilizzabilità e l’equità.',re,_,Ve="Il cartellino solitamente inizia con una breve introduzione, che descrive ad alto livello per quale scopo il modello è stato creato, ed è seguita da informazioni aggiuntive nelle sezioni seguenti:",de,w,Ne="<li>Descrizione del modello</li> <li>Usi previsti e limitazioni</li> <li>Istruzioni d’uso</li> <li>Limitazioni e bias</li> <li>Dati di addestramento</li> <li>Procedura di addestramento</li> <li>Risultati della valutazione</li>",me,M,Oe="Approfondiamo ora i contenuti di ciascuna sezione.",ue,T,pe,P,Xe="La descrizione del modello fornisce i dettagli di base. Questi includono l’architettura, la versione, informazioni sull’articolo scientifico in cui il modello è stato presentato (se disponibile), se sia disponibile una implementazione originale, l’autore, ed altre informazioni di carattere generale. Qualsiasi copyright deve essere attribuito qui. Informazioni generali sulle procedure di addestramento, i parametri, ed anche dichiarazioni di non responsabilità possono essere inserite in questa sezione.",ce,q,fe,L,Ye="In questa sezione vengono descritti gli utilizzi per cui il modello è inteso, inclusi i linguaggi e i domini di applicazione del modello. Questa sezione del cartellino puó anche descrivere situazioni che sono fuori dall’ambito previsto del modello, o dove é probabile che il modello non funzioni in maniera ottimale.",ge,H,ve,E,Ze="Questa sezione dovrebbe includere alcuni esempi che mostrino come usare il modello. Questi esempi possono includere l’utilizzo attraverso la funzione <code>pipeline()</code>, l’utilizzo delle classi modello e tokenizer, e qualsiasi altro esempio di codice che possa essere utile.",$e,j,ze,I,Je="Questa parte dovrebbe indicare su quali dataset il modello è stato addestrato. È anche consigliabile aggiungere una breve descrizione dei dataset.",he,Q,be,U,We="In questa sezione dovreste descrivere tutti i dettagli del processo di addestramento rilevanti dal punto di vista della riproducibilitá.",xe,k,Ce,y,Ke="In questa sezione é opportuno descrivere le metriche utilizzate per la valutazione e differenti fattori che vengono misurati. Riportare quali metriche ssono state usate, e su quali dataset e relative partizioni (dataset split), rende facile comparare le performance del proprio modello con gli altri. Le informazioni in questa sezione dovrebbero coprire i casi d’uso riportati nelle sezioni precedenti.",_e,D,we,R,et="Per finire, si dovrebbero riportare i risultati della valutazione di come si comporta il modello sul dataset di valutazione. Se il modello utilizza una soglia di decisione (decision threshold), è opportuno riportare o la soglia di decisione utilizzata nella fase di valutazione, o riportare i risultati per differenti soglie di decisione per gli usi previsti.",Me,S,Te,F,tt="Consigliamo di guardare i seguenti esempi di cartellini ben curati:",Pe,B,it='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',qe,A,lt='Esempi aggiuntivi, da parte di altre organizzazioni e compagnie, sono disponibili <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">qui</a>.',Le,G,He,V,at="Includere il cartellino del modello non è un requisito obbligatorio durante la pubblicazione di un modello, e inoltre non è necessario includere tutte le sezioni elencate in precedenza quando si crea un cartellino. Tuttavia, una documentazione esplicita del modello può solo portare benefici agli utilizzatori futuri, e per questo raccomandiamo di compilare quante più sezioni possibili, al meglio delle proprie conoscenze e capacità.",Ee,N,je,O,nt="Se avete esplorato l’Hugging Face Hub, potreste aver notato che alcuni modelli appartengono a determinate categorie: è possibile filtrarli per task, lingue, librerie, ecc. Le categorie a cui appartiene un modello sono identificate in base ai metadati aggiunti nell’intestazione (header) del cartellino.",Ie,X,ot='Prendendo ad esempio <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow">il cartellino di <code>camembert-base</code></a>, dovreste vedere le seguenti righe nell’intestazione del cartellino:',Qe,Y,Ue,Z,st=`This metadata is parsed by the Hugging Face Hub, which then identifies this model as being a French model, with an MIT license, trained on the Oscar dataset.
Questi metadati vengono elaborati dall’Hub di Hugging Face, che identifica questo modello come un modello Francese, con una licenza MIT, addestrato sul dataset Oscar.`,ke,J,rt='La <a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">specifica completa dei cartellini</a> permette di riportare lingue, license, tags, datasets, metriche di valutazione, e anche i risultati della valutazione del modello ottenuti durante l’addestramento.',ye,W,De,ee,Re;return $=new g({props:{title:"Generare un cartellino del modello",local:"generare-un-cartellino-del-modello",headingTag:"h1"}}),z=new ht({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),T=new g({props:{title:"Descrizione del modello",local:"descrizione-del-modello",headingTag:"h3"}}),q=new g({props:{title:"Usi previsti e limitazioni",local:"usi-previsti-e-limitazioni",headingTag:"h3"}}),H=new g({props:{title:"Istruzioni d’uso",local:"istruzioni-duso",headingTag:"h3"}}),j=new g({props:{title:"Dati di addestramento",local:"dati-di-addestramento",headingTag:"h3"}}),Q=new g({props:{title:"Procedura di addestramento",local:"procedura-di-addestramento",headingTag:"h3"}}),k=new g({props:{title:"Variabili e metriche di valutazione",local:"variabili-e-metriche-di-valutazione",headingTag:"h3"}}),D=new g({props:{title:"Risultati della valutazione",local:"risultati-della-valutazione",headingTag:"h3"}}),S=new g({props:{title:"Esempio",local:"esempio",headingTag:"h2"}}),G=new g({props:{title:"Nota",local:"nota",headingTag:"h2"}}),N=new g({props:{title:"Metadati del cartellino del modello",local:"metadati-del-cartellino-del-modello",headingTag:"h2"}}),Y=new zt({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),W=new bt({props:{source:"https://github.com/huggingface/course/blob/main/chapters/it/chapter4/4.mdx"}}),{c(){v=o("meta"),te=a(),K=o("p"),ie=a(),d($.$$.fragment),le=a(),d(z.$$.fragment),ae=a(),h=o("p"),h.textContent=Fe,ne=a(),b=o("p"),b.textContent=Be,oe=a(),x=o("p"),x.innerHTML=Ae,se=a(),C=o("p"),C.innerHTML=Ge,re=a(),_=o("p"),_.textContent=Ve,de=a(),w=o("ul"),w.innerHTML=Ne,me=a(),M=o("p"),M.textContent=Oe,ue=a(),d(T.$$.fragment),pe=a(),P=o("p"),P.textContent=Xe,ce=a(),d(q.$$.fragment),fe=a(),L=o("p"),L.textContent=Ye,ge=a(),d(H.$$.fragment),ve=a(),E=o("p"),E.innerHTML=Ze,$e=a(),d(j.$$.fragment),ze=a(),I=o("p"),I.textContent=Je,he=a(),d(Q.$$.fragment),be=a(),U=o("p"),U.textContent=We,xe=a(),d(k.$$.fragment),Ce=a(),y=o("p"),y.textContent=Ke,_e=a(),d(D.$$.fragment),we=a(),R=o("p"),R.textContent=et,Me=a(),d(S.$$.fragment),Te=a(),F=o("p"),F.textContent=tt,Pe=a(),B=o("ul"),B.innerHTML=it,qe=a(),A=o("p"),A.innerHTML=lt,Le=a(),d(G.$$.fragment),He=a(),V=o("p"),V.textContent=at,Ee=a(),d(N.$$.fragment),je=a(),O=o("p"),O.textContent=nt,Ie=a(),X=o("p"),X.innerHTML=ot,Qe=a(),d(Y.$$.fragment),Ue=a(),Z=o("p"),Z.textContent=st,ke=a(),J=o("p"),J.innerHTML=rt,ye=a(),d(W.$$.fragment),De=a(),ee=o("p"),this.h()},l(e){const t=vt("svelte-u9bgzb",document.head);v=s(t,"META",{name:!0,content:!0}),t.forEach(i),te=n(e),K=s(e,"P",{}),dt(K).forEach(i),ie=n(e),m($.$$.fragment,e),le=n(e),m(z.$$.fragment,e),ae=n(e),h=s(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1ds1cha"&&(h.textContent=Fe),ne=n(e),b=s(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-dzxgx3"&&(b.textContent=Be),oe=n(e),x=s(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1owrkck"&&(x.innerHTML=Ae),se=n(e),C=s(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-rk3eb4"&&(C.innerHTML=Ge),re=n(e),_=s(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1albns"&&(_.textContent=Ve),de=n(e),w=s(e,"UL",{"data-svelte-h":!0}),r(w)!=="svelte-18zv35"&&(w.innerHTML=Ne),me=n(e),M=s(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1v1x4qc"&&(M.textContent=Oe),ue=n(e),m(T.$$.fragment,e),pe=n(e),P=s(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1gx3cjc"&&(P.textContent=Xe),ce=n(e),m(q.$$.fragment,e),fe=n(e),L=s(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-f6b607"&&(L.textContent=Ye),ge=n(e),m(H.$$.fragment,e),ve=n(e),E=s(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-oa5xat"&&(E.innerHTML=Ze),$e=n(e),m(j.$$.fragment,e),ze=n(e),I=s(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-6jmfld"&&(I.textContent=Je),he=n(e),m(Q.$$.fragment,e),be=n(e),U=s(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-1wq3vvm"&&(U.textContent=We),xe=n(e),m(k.$$.fragment,e),Ce=n(e),y=s(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-6hbi2"&&(y.textContent=Ke),_e=n(e),m(D.$$.fragment,e),we=n(e),R=s(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1w1fnmv"&&(R.textContent=et),Me=n(e),m(S.$$.fragment,e),Te=n(e),F=s(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-y0vsua"&&(F.textContent=tt),Pe=n(e),B=s(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-1fs0egh"&&(B.innerHTML=it),qe=n(e),A=s(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-zaha8c"&&(A.innerHTML=lt),Le=n(e),m(G.$$.fragment,e),He=n(e),V=s(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-9qvqxm"&&(V.textContent=at),Ee=n(e),m(N.$$.fragment,e),je=n(e),O=s(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1tz66ad"&&(O.textContent=nt),Ie=n(e),X=s(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-nf5d9n"&&(X.innerHTML=ot),Qe=n(e),m(Y.$$.fragment,e),Ue=n(e),Z=s(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-1tzl4bn"&&(Z.textContent=st),ke=n(e),J=s(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1xg92f0"&&(J.innerHTML=rt),ye=n(e),m(W.$$.fragment,e),De=n(e),ee=s(e,"P",{}),dt(ee).forEach(i),this.h()},h(){mt(v,"name","hf:doc:metadata"),mt(v,"content",Ct)},m(e,t){$t(document.head,v),l(e,te,t),l(e,K,t),l(e,ie,t),u($,e,t),l(e,le,t),u(z,e,t),l(e,ae,t),l(e,h,t),l(e,ne,t),l(e,b,t),l(e,oe,t),l(e,x,t),l(e,se,t),l(e,C,t),l(e,re,t),l(e,_,t),l(e,de,t),l(e,w,t),l(e,me,t),l(e,M,t),l(e,ue,t),u(T,e,t),l(e,pe,t),l(e,P,t),l(e,ce,t),u(q,e,t),l(e,fe,t),l(e,L,t),l(e,ge,t),u(H,e,t),l(e,ve,t),l(e,E,t),l(e,$e,t),u(j,e,t),l(e,ze,t),l(e,I,t),l(e,he,t),u(Q,e,t),l(e,be,t),l(e,U,t),l(e,xe,t),u(k,e,t),l(e,Ce,t),l(e,y,t),l(e,_e,t),u(D,e,t),l(e,we,t),l(e,R,t),l(e,Me,t),u(S,e,t),l(e,Te,t),l(e,F,t),l(e,Pe,t),l(e,B,t),l(e,qe,t),l(e,A,t),l(e,Le,t),u(G,e,t),l(e,He,t),l(e,V,t),l(e,Ee,t),u(N,e,t),l(e,je,t),l(e,O,t),l(e,Ie,t),l(e,X,t),l(e,Qe,t),u(Y,e,t),l(e,Ue,t),l(e,Z,t),l(e,ke,t),l(e,J,t),l(e,ye,t),u(W,e,t),l(e,De,t),l(e,ee,t),Re=!0},p:pt,i(e){Re||(p($.$$.fragment,e),p(z.$$.fragment,e),p(T.$$.fragment,e),p(q.$$.fragment,e),p(H.$$.fragment,e),p(j.$$.fragment,e),p(Q.$$.fragment,e),p(k.$$.fragment,e),p(D.$$.fragment,e),p(S.$$.fragment,e),p(G.$$.fragment,e),p(N.$$.fragment,e),p(Y.$$.fragment,e),p(W.$$.fragment,e),Re=!0)},o(e){c($.$$.fragment,e),c(z.$$.fragment,e),c(T.$$.fragment,e),c(q.$$.fragment,e),c(H.$$.fragment,e),c(j.$$.fragment,e),c(Q.$$.fragment,e),c(k.$$.fragment,e),c(D.$$.fragment,e),c(S.$$.fragment,e),c(G.$$.fragment,e),c(N.$$.fragment,e),c(Y.$$.fragment,e),c(W.$$.fragment,e),Re=!1},d(e){e&&(i(te),i(K),i(ie),i(le),i(ae),i(h),i(ne),i(b),i(oe),i(x),i(se),i(C),i(re),i(_),i(de),i(w),i(me),i(M),i(ue),i(pe),i(P),i(ce),i(fe),i(L),i(ge),i(ve),i(E),i($e),i(ze),i(I),i(he),i(be),i(U),i(xe),i(Ce),i(y),i(_e),i(we),i(R),i(Me),i(Te),i(F),i(Pe),i(B),i(qe),i(A),i(Le),i(He),i(V),i(Ee),i(je),i(O),i(Ie),i(X),i(Qe),i(Ue),i(Z),i(ke),i(J),i(ye),i(De),i(ee)),i(v),f($,e),f(z,e),f(T,e),f(q,e),f(H,e),f(j,e),f(Q,e),f(k,e),f(D,e),f(S,e),f(G,e),f(N,e),f(Y,e),f(W,e)}}}const Ct='{"title":"Generare un cartellino del modello","local":"generare-un-cartellino-del-modello","sections":[{"title":"Descrizione del modello","local":"descrizione-del-modello","sections":[],"depth":3},{"title":"Usi previsti e limitazioni","local":"usi-previsti-e-limitazioni","sections":[],"depth":3},{"title":"Istruzioni d’uso","local":"istruzioni-duso","sections":[],"depth":3},{"title":"Dati di addestramento","local":"dati-di-addestramento","sections":[],"depth":3},{"title":"Procedura di addestramento","local":"procedura-di-addestramento","sections":[],"depth":3},{"title":"Variabili e metriche di valutazione","local":"variabili-e-metriche-di-valutazione","sections":[],"depth":3},{"title":"Risultati della valutazione","local":"risultati-della-valutazione","sections":[],"depth":3},{"title":"Esempio","local":"esempio","sections":[],"depth":2},{"title":"Nota","local":"nota","sections":[],"depth":2},{"title":"Metadati del cartellino del modello","local":"metadati-del-cartellino-del-modello","sections":[],"depth":2}],"depth":1}';function _t(Se){return ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lt extends ft{constructor(v){super(),gt(this,v,_t,xt,ut,{})}}export{Lt as component};
