import{s as ue,n as re,o as xe}from"../chunks/scheduler.37c15a92.js";import{S as ve,i as ge,g as a,s as i,r as m,A as Ce,h as p,f as l,c as s,j as me,u as $,x as f,k as $e,y as he,a as n,v as u,d as r,t as x,w as v}from"../chunks/index.2bf4358c.js";import{C as oe}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as be}from"../chunks/CourseFloatingBanner.06521e8b.js";import{H as g,E as _e}from"../chunks/EditOnGithub.8916dc7c.js";function we(Rt){let C,et,K,lt,h,nt,o,it,b,Vt="Карточка модели — это файл, который, возможно, так же важен, как файлы модели и токенизатора в репозитории моделей. Это центральное описание модели, обеспечивающее возможность повторного использования другими членами сообщества и воспроизводимость результатов, а также предоставляющее платформу для других участников.",st,_,At="Документирование процесса обучения и оценки помогает другим понять, чего ожидать от модели, а предоставление достаточной информации об использованных данных, а также о проведенной предварительной и постобработке. По карточке модели ясны ограничения, предубеждения и контексты, в которых модель может быть полезна, а в каких случаях окажется бесполезной.",at,w,Gt="Поэтому создание карточки модели, которая четко определяет вашу модель, является очень важным шагом. Здесь мы даем несколько советов, которые помогут вам в этом. Карточка модели создается с помощью файла <em>README.md</em>, который вы видели ранее, который представляет собой файл Markdown.",pt,d,Dt='Концепция «карточки модели» возникла в результате исследовательского направления Google, впервые представленного в статье [“Model Cards for Model Reporting”] (<a href="https://arxiv.org/abs/1810.03993" rel="nofollow">https://arxiv.org/abs/1810.03993</a>) Маргарет Митчелл и др. Большая часть информации, содержащейся здесь, основана на этом документе, и мы рекомендуем вам ознакомиться с ним, чтобы понять, почему карточки с моделями так важны в мире, который ценит воспроизводимость, возможность повторного использования и честность.',ft,M,Nt="Карточка модели обычно начинается с очень краткого общего обзора того, для чего предназначена модель, за которым следуют дополнительные сведения в следующих разделах:",mt,T,Ot="<li>Описание модели</li> <li>Предполагаемое использование и ограничения</li> <li>Как использовать</li> <li>Ограничения и предубеждения</li> <li>Тренировочные данные</li> <li>Процедура обучения</li> <li>Результаты оценки</li>",$t,c,Xt="Давайте посмотрим, что должен содержать каждый из этих разделов.",ut,P,rt,H,Yt="Описание содержит основные сведения о модели. Оно включает в себя архитектуру, версию, если модель была представлена в статье - автора, ссылку на оригинальную реализацию (если доступна), автора и общую информацию о модели. Любые авторские права должны быть указаны здесь. В этом разделе также можно упомянуть общую информацию о процедурах обучения, параметрах и важных отказах от ответственности.",xt,L,vt,j,Zt="Здесь вы описываете варианты использования, для которых предназначена модель, включая языки, области и домены, в которых она может применяться. В этом разделе карты модели также можно документировать те области, которые являются неподходящими для модели.",gt,E,Ct,y,It="Этот раздел должен включать несколько примеров того, как использовать модель. Это может быть продемонстрировано с использованием функции <code>pipeline()</code>, использованием классов модели и токенизатора, а также любым другим способом, удобным на ваш взгляд.",ht,U,ot,k,Jt="В этой части должно быть указано, на каком наборе данных обучалась модель. Также приветствуется краткое описание набора(ов) данных.",bt,q,_t,B,Wt="В этом разделе вы должны описать все важные аспекты обучения, которые полезны с точки зрения воспроизводимости. Раздел включает в себя любую предварительную и постобработку данных, а также такие детали, как количество эпох, на которых была обучена модель, размер батча, скорость обучения и т. д.",wt,S,dt,Q,Kt="Здесь вы должны описать метрики, которые вы используете для оценки, и прочие величины, которые вы замеряете. Напишите, какие метрики использовались, в каком датасете и какое разделение разбиение датасета позволяет легко сравнивать производительность вашей модели с другими моделями.",Mt,z,Tt,F,te="Наконец, укажите, насколько хорошо модель работает с набором данных для оценки. Если в модели используется порог принятия решения (threshold)– укажите его, либо предоставьте подробные сведения об оценке при различных порогах для предполагаемого использования.",ct,R,Pt,V,ee="Ознакомьтесь с несколькими примерами хорошо сделанных карточек моделей:",Ht,A,le='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',Lt,G,ne='Больше примеров от других организаций и компаний доступны: <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">здесь</a>.',jt,D,Et,N,ie="Карточки моделей не являются обязательным требованием при публикации моделей, и вам не нужно включать все разделы, описанные выше, при их создании. Однако подробное документирование модели может принести только пользу будущим пользователям, поэтому мы рекомендуем вам заполнить как можно больше разделов в меру своих знаний и способностей.",yt,O,Ut,X,se="Если вы немного изучили Hugging Face Hub, вы должны были заметить, что некоторые модели относятся к определенным категориям: вы можете фильтровать их по задачам, языкам, библиотекам и т. д. Категории, к которым принадлежит модель, идентифицируются в соответствии с метаданными, которые вы добавляете в заголовок карточки модели.",kt,Y,ae='Например, если вы посмотрите на <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow">карточку модели <code>camembert-base</code></a>, вы должны увидеть следующие строки в заголовке карточки модели:',qt,Z,Bt,I,pe="Эти метаданные анализируются Hugging Face Hub, который затем идентифицирует эту модель как французскую модель с лицензией MIT, обученную на наборе данных Oscar.",St,J,fe='<a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">Полная спецификация карточки модели</a> позволяет указать языкы, лицензии, теги, датасеты, метрики, а также результаты валидации модели.',Qt,W,zt,tt,Ft;return h=new g({props:{title:"Создание карточки модели",local:"создание-карточки-модели",headingTag:"h1"}}),o=new be({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),P=new g({props:{title:"Описание модели",local:"описание-модели",headingTag:"h3"}}),L=new g({props:{title:"Предполагаемое использование и ограничения",local:"предполагаемое-использование-и-ограничения",headingTag:"h3"}}),E=new g({props:{title:"Как использовать",local:"как-использовать",headingTag:"h3"}}),U=new g({props:{title:"Обучающие данные",local:"обучающие-данные",headingTag:"h3"}}),q=new g({props:{title:"Процедура обучения",local:"процедура-обучения",headingTag:"h3"}}),S=new g({props:{title:"Variable and metrics",local:"variable-and-metrics",headingTag:"h3"}}),z=new g({props:{title:"Результаты валидации",local:"результаты-валидации",headingTag:"h3"}}),R=new g({props:{title:"Пример",local:"пример",headingTag:"h2"}}),D=new g({props:{title:"Примечание",local:"примечание",headingTag:"h2"}}),O=new g({props:{title:"Метаданные карточки модели",local:"метаданные-карточки-модели",headingTag:"h2"}}),Z=new oe({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),W=new _e({props:{source:"https://github.com/huggingface/course/blob/main/chapters/ru/chapter4/4.mdx"}}),{c(){C=a("meta"),et=i(),K=a("p"),lt=i(),m(h.$$.fragment),nt=i(),m(o.$$.fragment),it=i(),b=a("p"),b.textContent=Vt,st=i(),_=a("p"),_.textContent=At,at=i(),w=a("p"),w.innerHTML=Gt,pt=i(),d=a("p"),d.innerHTML=Dt,ft=i(),M=a("p"),M.textContent=Nt,mt=i(),T=a("ul"),T.innerHTML=Ot,$t=i(),c=a("p"),c.textContent=Xt,ut=i(),m(P.$$.fragment),rt=i(),H=a("p"),H.textContent=Yt,xt=i(),m(L.$$.fragment),vt=i(),j=a("p"),j.textContent=Zt,gt=i(),m(E.$$.fragment),Ct=i(),y=a("p"),y.innerHTML=It,ht=i(),m(U.$$.fragment),ot=i(),k=a("p"),k.textContent=Jt,bt=i(),m(q.$$.fragment),_t=i(),B=a("p"),B.textContent=Wt,wt=i(),m(S.$$.fragment),dt=i(),Q=a("p"),Q.textContent=Kt,Mt=i(),m(z.$$.fragment),Tt=i(),F=a("p"),F.textContent=te,ct=i(),m(R.$$.fragment),Pt=i(),V=a("p"),V.textContent=ee,Ht=i(),A=a("ul"),A.innerHTML=le,Lt=i(),G=a("p"),G.innerHTML=ne,jt=i(),m(D.$$.fragment),Et=i(),N=a("p"),N.textContent=ie,yt=i(),m(O.$$.fragment),Ut=i(),X=a("p"),X.textContent=se,kt=i(),Y=a("p"),Y.innerHTML=ae,qt=i(),m(Z.$$.fragment),Bt=i(),I=a("p"),I.textContent=pe,St=i(),J=a("p"),J.innerHTML=fe,Qt=i(),m(W.$$.fragment),zt=i(),tt=a("p"),this.h()},l(t){const e=Ce("svelte-u9bgzb",document.head);C=p(e,"META",{name:!0,content:!0}),e.forEach(l),et=s(t),K=p(t,"P",{}),me(K).forEach(l),lt=s(t),$(h.$$.fragment,t),nt=s(t),$(o.$$.fragment,t),it=s(t),b=p(t,"P",{"data-svelte-h":!0}),f(b)!=="svelte-nz57bt"&&(b.textContent=Vt),st=s(t),_=p(t,"P",{"data-svelte-h":!0}),f(_)!=="svelte-yiujq7"&&(_.textContent=At),at=s(t),w=p(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-9edp5i"&&(w.innerHTML=Gt),pt=s(t),d=p(t,"P",{"data-svelte-h":!0}),f(d)!=="svelte-1v2ovlj"&&(d.innerHTML=Dt),ft=s(t),M=p(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-1jn8b6j"&&(M.textContent=Nt),mt=s(t),T=p(t,"UL",{"data-svelte-h":!0}),f(T)!=="svelte-cbsm46"&&(T.innerHTML=Ot),$t=s(t),c=p(t,"P",{"data-svelte-h":!0}),f(c)!=="svelte-1qg7u0q"&&(c.textContent=Xt),ut=s(t),$(P.$$.fragment,t),rt=s(t),H=p(t,"P",{"data-svelte-h":!0}),f(H)!=="svelte-1m9iwmk"&&(H.textContent=Yt),xt=s(t),$(L.$$.fragment,t),vt=s(t),j=p(t,"P",{"data-svelte-h":!0}),f(j)!=="svelte-1rlniif"&&(j.textContent=Zt),gt=s(t),$(E.$$.fragment,t),Ct=s(t),y=p(t,"P",{"data-svelte-h":!0}),f(y)!=="svelte-f6wt3b"&&(y.innerHTML=It),ht=s(t),$(U.$$.fragment,t),ot=s(t),k=p(t,"P",{"data-svelte-h":!0}),f(k)!=="svelte-1hyu640"&&(k.textContent=Jt),bt=s(t),$(q.$$.fragment,t),_t=s(t),B=p(t,"P",{"data-svelte-h":!0}),f(B)!=="svelte-4cngfy"&&(B.textContent=Wt),wt=s(t),$(S.$$.fragment,t),dt=s(t),Q=p(t,"P",{"data-svelte-h":!0}),f(Q)!=="svelte-ivu2lq"&&(Q.textContent=Kt),Mt=s(t),$(z.$$.fragment,t),Tt=s(t),F=p(t,"P",{"data-svelte-h":!0}),f(F)!=="svelte-6nevjp"&&(F.textContent=te),ct=s(t),$(R.$$.fragment,t),Pt=s(t),V=p(t,"P",{"data-svelte-h":!0}),f(V)!=="svelte-11iaolh"&&(V.textContent=ee),Ht=s(t),A=p(t,"UL",{"data-svelte-h":!0}),f(A)!=="svelte-1fs0egh"&&(A.innerHTML=le),Lt=s(t),G=p(t,"P",{"data-svelte-h":!0}),f(G)!=="svelte-1hthqu9"&&(G.innerHTML=ne),jt=s(t),$(D.$$.fragment,t),Et=s(t),N=p(t,"P",{"data-svelte-h":!0}),f(N)!=="svelte-6vnsq0"&&(N.textContent=ie),yt=s(t),$(O.$$.fragment,t),Ut=s(t),X=p(t,"P",{"data-svelte-h":!0}),f(X)!=="svelte-nlrxie"&&(X.textContent=se),kt=s(t),Y=p(t,"P",{"data-svelte-h":!0}),f(Y)!=="svelte-12y29x9"&&(Y.innerHTML=ae),qt=s(t),$(Z.$$.fragment,t),Bt=s(t),I=p(t,"P",{"data-svelte-h":!0}),f(I)!=="svelte-1nuu1yk"&&(I.textContent=pe),St=s(t),J=p(t,"P",{"data-svelte-h":!0}),f(J)!=="svelte-x5z9ld"&&(J.innerHTML=fe),Qt=s(t),$(W.$$.fragment,t),zt=s(t),tt=p(t,"P",{}),me(tt).forEach(l),this.h()},h(){$e(C,"name","hf:doc:metadata"),$e(C,"content",de)},m(t,e){he(document.head,C),n(t,et,e),n(t,K,e),n(t,lt,e),u(h,t,e),n(t,nt,e),u(o,t,e),n(t,it,e),n(t,b,e),n(t,st,e),n(t,_,e),n(t,at,e),n(t,w,e),n(t,pt,e),n(t,d,e),n(t,ft,e),n(t,M,e),n(t,mt,e),n(t,T,e),n(t,$t,e),n(t,c,e),n(t,ut,e),u(P,t,e),n(t,rt,e),n(t,H,e),n(t,xt,e),u(L,t,e),n(t,vt,e),n(t,j,e),n(t,gt,e),u(E,t,e),n(t,Ct,e),n(t,y,e),n(t,ht,e),u(U,t,e),n(t,ot,e),n(t,k,e),n(t,bt,e),u(q,t,e),n(t,_t,e),n(t,B,e),n(t,wt,e),u(S,t,e),n(t,dt,e),n(t,Q,e),n(t,Mt,e),u(z,t,e),n(t,Tt,e),n(t,F,e),n(t,ct,e),u(R,t,e),n(t,Pt,e),n(t,V,e),n(t,Ht,e),n(t,A,e),n(t,Lt,e),n(t,G,e),n(t,jt,e),u(D,t,e),n(t,Et,e),n(t,N,e),n(t,yt,e),u(O,t,e),n(t,Ut,e),n(t,X,e),n(t,kt,e),n(t,Y,e),n(t,qt,e),u(Z,t,e),n(t,Bt,e),n(t,I,e),n(t,St,e),n(t,J,e),n(t,Qt,e),u(W,t,e),n(t,zt,e),n(t,tt,e),Ft=!0},p:re,i(t){Ft||(r(h.$$.fragment,t),r(o.$$.fragment,t),r(P.$$.fragment,t),r(L.$$.fragment,t),r(E.$$.fragment,t),r(U.$$.fragment,t),r(q.$$.fragment,t),r(S.$$.fragment,t),r(z.$$.fragment,t),r(R.$$.fragment,t),r(D.$$.fragment,t),r(O.$$.fragment,t),r(Z.$$.fragment,t),r(W.$$.fragment,t),Ft=!0)},o(t){x(h.$$.fragment,t),x(o.$$.fragment,t),x(P.$$.fragment,t),x(L.$$.fragment,t),x(E.$$.fragment,t),x(U.$$.fragment,t),x(q.$$.fragment,t),x(S.$$.fragment,t),x(z.$$.fragment,t),x(R.$$.fragment,t),x(D.$$.fragment,t),x(O.$$.fragment,t),x(Z.$$.fragment,t),x(W.$$.fragment,t),Ft=!1},d(t){t&&(l(et),l(K),l(lt),l(nt),l(it),l(b),l(st),l(_),l(at),l(w),l(pt),l(d),l(ft),l(M),l(mt),l(T),l($t),l(c),l(ut),l(rt),l(H),l(xt),l(vt),l(j),l(gt),l(Ct),l(y),l(ht),l(ot),l(k),l(bt),l(_t),l(B),l(wt),l(dt),l(Q),l(Mt),l(Tt),l(F),l(ct),l(Pt),l(V),l(Ht),l(A),l(Lt),l(G),l(jt),l(Et),l(N),l(yt),l(Ut),l(X),l(kt),l(Y),l(qt),l(Bt),l(I),l(St),l(J),l(Qt),l(zt),l(tt)),l(C),v(h,t),v(o,t),v(P,t),v(L,t),v(E,t),v(U,t),v(q,t),v(S,t),v(z,t),v(R,t),v(D,t),v(O,t),v(Z,t),v(W,t)}}}const de='{"title":"Создание карточки модели","local":"создание-карточки-модели","sections":[{"title":"Описание модели","local":"описание-модели","sections":[],"depth":3},{"title":"Предполагаемое использование и ограничения","local":"предполагаемое-использование-и-ограничения","sections":[],"depth":3},{"title":"Как использовать","local":"как-использовать","sections":[],"depth":3},{"title":"Обучающие данные","local":"обучающие-данные","sections":[],"depth":3},{"title":"Процедура обучения","local":"процедура-обучения","sections":[],"depth":3},{"title":"Variable and metrics","local":"variable-and-metrics","sections":[],"depth":3},{"title":"Результаты валидации","local":"результаты-валидации","sections":[],"depth":3},{"title":"Пример","local":"пример","sections":[],"depth":2},{"title":"Примечание","local":"примечание","sections":[],"depth":2},{"title":"Метаданные карточки модели","local":"метаданные-карточки-модели","sections":[],"depth":2}],"depth":1}';function Me(Rt){return xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class je extends ve{constructor(C){super(),ge(this,C,Me,we,ue,{})}}export{je as component};
