import{s as Ue,n as de,o as xe}from"../chunks/scheduler.37c15a92.js";import{S as Pe,i as _e,g as p,s,r as m,A as Le,h as a,f as l,c as i,j as Me,u as f,x as o,k as At,y as He,a as n,v as r,d as $,t as h,w as u}from"../chunks/index.2bf4358c.js";import{C as v}from"../chunks/CodeBlock.4f5fc1ad.js";import{H as Dt,E as ke}from"../chunks/EditOnGithub.8916dc7c.js";function je(Ot){let c,pt,st,at,w,ot,y,Kt='欢迎来到 Hugging Face 课程！本小节将指导你搭建工作环境。如果你刚开始学习本课程，我们建议你先阅读 <a href="/course/chapter1">第一章</a> ，然后返回此处搭建环境，以便你亲自尝试和实现代码。',mt,J,te="本课程涉及的所有库均以 Python 包形式提供，因此在这里我们将展示如何搭建 Python 环境并安装所需要的库。",ft,g,ee="我们将介绍两种设置工作环境的方法，使用 Colab Notebook 或 Python 虚拟环境。选择任意一种趁手的方式即可。对于初学者，我们强烈建议你从使用 Colab Notebook 开始（国内无法访问，可以跳过，直接查阅本页 <strong>安装依赖</strong> 那一节即可在本地的环境下运行，译者注）。",rt,C,le="请注意，Python 虚拟环境的一些命令不支持 Windows 系统。如果你使用的操作系统是 Windows，我们建议你继续使用 Colab Notebook 如果你使用的操作系统是 Linux 发行版或 macOS，则可以使用此处的任一方法。",$t,M,ne='大多数课程和服务都依赖于你拥有 Hugging Face 帐户。我们建议现在创建一个： <a href="https://huggingface.co/join" rel="nofollow">创建一个账号</a> 。',ht,U,ut,d,se="使用 Colab Notebook 是最简单的搭建方式；可以在浏览器中启动 Notebook 并直接开始编写自己的代码！",vt,x,ie='如果你不熟悉 Colab，建议你先查看 <a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">Colab 使用入门</a> 。Colab 提供一些加速硬件，例如 GPU 或 TPU，并且当我们使用的算力比较少的时候是免费的。',ct,P,pe="当打开 Colab 后，创建一个新的 Notebook",Tt,T,ae='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',bt,_,oe="下一步是安装我们将在本课程中使用的库。我们将使用 <strong>pip</strong> 进行安装，它是 Python 的包管理器。在 Notebook 中，你可以通过加上！字符表示执行系统命令，所以安装🤗 Transformers 的命令如下：",wt,L,yt,H,me="你可以通过在运行 Python 时导入包来判断是否正确安装了该包：",Jt,k,gt,b,fe='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',Ct,j,re="这将安装一个没有安装机器学习框架（如 PyTorch 或 TensorFlow）非常轻量级的 🤗 Transformers。由于之后我们将使用该库的许多不同功能，我们建议安装开发版本，它带有几乎所有所需的依赖项：",Mt,G,Ut,N,$e="这将需要一些时间，但当完成之后你就做好学习剩下的课程环境的全部准备了！",dt,I,xt,B,he='如果你更喜欢使用 Python 虚拟环境，那么第一步是在你的系统上安装 Python。我们建议你按照 <a href="https://realpython.com/installing-python/" rel="nofollow">该指南</a> 进行配置。',Pt,Z,ue="安装 Python 后，你应该能够在终端中运行 Python 命令。你可以先运行此命令： <code>python --version</code> 来检验安装是否正确，然后再继续下一步。这应该会打印出你系统上现在可用的 Python 版本。",_t,z,ve="在终端中运行 Python 命令（例如  <code>python --version</code> ）时，运行命令的这个 Python 可以视为系统上的“默认”Python。我们建议保持这个默认的 Python 安装程序没有任何包，当运行某个程序的时候就为那个程序创建一个单独的运行环境 —— 这样，每个应用程序都可以有自己的依赖项和包，你无需担心与其他应用程序潜在的兼容性问题。",Lt,W,ce='在 Python 中，这是通过 <a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>虚拟环境</em></a> 实现的，虚拟环境会创建许多目录树，每个目录树都包含具有特定 Python 版本的 Python 安装以及应用程序所需的所有包。可以使用许多不同的工具来创建这样的虚拟环境，但在此我们将使用官方 Python 包： <a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a> 。',Ht,R,Te="首先，创建你希望 Transformers 所在的目录 - 例如，你可能希望在主目录的根目录下创建一个名为 <code>Transformers-course</code> 的新目录：",kt,F,jt,V,be="在这个目录中，使用 Python <code>venv</code> 模块创建一个虚拟环境：",Gt,X,Nt,E,we="你现在应该在原本为空的文件夹中看到一个名为 <code>.env</code> 的目录：",It,Y,Bt,q,Zt,Q,ye="你可以使用 <code>activate</code> 和 <code>deactivate</code> 命令来控制进入和退出你的虚拟环境：",zt,S,Wt,A,Je="你可以通过运行 <code>which python</code> 命令来检测虚拟环境是否被激活：如果它指向虚拟环境，那么你已经成功激活了它！",Rt,D,Ft,O,Vt,K,Xt,tt,ge="与前面使用 Google Colab 的部分一样，你现在需要安装继续学习所需的软件包。同样，你可以使用 <code>pip</code> 包管理器安装 🤗 Transformers 的开发版本：",Et,et,Yt,lt,Ce="你现在已准备就绪，可以开始了！",qt,nt,Qt,it,St;return w=new Dt({props:{title:"课程简介",local:"课程简介",headingTag:"h1"}}),U=new Dt({props:{title:"使用 Google Colab Notebook",local:"使用 Google Colab Notebook",headingTag:"h2"}}),L=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers',wrap:!1}}),k=new v({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers',wrap:!1}}),G=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]',wrap:!1}}),I=new Dt({props:{title:"使用 Python 虚拟环境",local:"使用 Python 虚拟环境",headingTag:"h2"}}),F=new v({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`,wrap:!1}}),X=new v({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>',wrap:!1}}),Y=new v({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a',wrap:!1}}),q=new v({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>',wrap:!1}}),S=new v({props:{code:"JTIzJTIwJUU2JUJGJTgwJUU2JUI0JUJCJUU4JTk5JTlBJUU2JThCJTlGJUU3JThFJUFGJUU1JUEyJTgzJTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmFjdGl2YXRlJTBBJTBBJTIzJTIwJUU5JTgwJTgwJUU1JTg3JUJBJUU4JTk5JTlBJUU2JThCJTlGJUU3JThFJUFGJUU1JUEyJTgzJTBBZGVhY3RpdmF0ZQ==",highlighted:`<span class="hljs-comment"># 激活虚拟环境</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># 退出虚拟环境</span>
deactivate`,wrap:!1}}),D=new v({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python',wrap:!1}}),O=new v({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python',wrap:!1}}),K=new Dt({props:{title:"安装依赖",local:"安装依赖",headingTag:"h3"}}),et=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>',wrap:!1}}),nt=new ke({props:{source:"https://github.com/huggingface/course/blob/main/chapters/zh-CN/chapter0/1.mdx"}}),{c(){c=p("meta"),pt=s(),st=p("p"),at=s(),m(w.$$.fragment),ot=s(),y=p("p"),y.innerHTML=Kt,mt=s(),J=p("p"),J.textContent=te,ft=s(),g=p("p"),g.innerHTML=ee,rt=s(),C=p("p"),C.textContent=le,$t=s(),M=p("p"),M.innerHTML=ne,ht=s(),m(U.$$.fragment),ut=s(),d=p("p"),d.textContent=se,vt=s(),x=p("p"),x.innerHTML=ie,ct=s(),P=p("p"),P.textContent=pe,Tt=s(),T=p("div"),T.innerHTML=ae,bt=s(),_=p("p"),_.innerHTML=oe,wt=s(),m(L.$$.fragment),yt=s(),H=p("p"),H.textContent=me,Jt=s(),m(k.$$.fragment),gt=s(),b=p("div"),b.innerHTML=fe,Ct=s(),j=p("p"),j.textContent=re,Mt=s(),m(G.$$.fragment),Ut=s(),N=p("p"),N.textContent=$e,dt=s(),m(I.$$.fragment),xt=s(),B=p("p"),B.innerHTML=he,Pt=s(),Z=p("p"),Z.innerHTML=ue,_t=s(),z=p("p"),z.innerHTML=ve,Lt=s(),W=p("p"),W.innerHTML=ce,Ht=s(),R=p("p"),R.innerHTML=Te,kt=s(),m(F.$$.fragment),jt=s(),V=p("p"),V.innerHTML=be,Gt=s(),m(X.$$.fragment),Nt=s(),E=p("p"),E.innerHTML=we,It=s(),m(Y.$$.fragment),Bt=s(),m(q.$$.fragment),Zt=s(),Q=p("p"),Q.innerHTML=ye,zt=s(),m(S.$$.fragment),Wt=s(),A=p("p"),A.innerHTML=Je,Rt=s(),m(D.$$.fragment),Ft=s(),m(O.$$.fragment),Vt=s(),m(K.$$.fragment),Xt=s(),tt=p("p"),tt.innerHTML=ge,Et=s(),m(et.$$.fragment),Yt=s(),lt=p("p"),lt.textContent=Ce,qt=s(),m(nt.$$.fragment),Qt=s(),it=p("p"),this.h()},l(t){const e=Le("svelte-u9bgzb",document.head);c=a(e,"META",{name:!0,content:!0}),e.forEach(l),pt=i(t),st=a(t,"P",{}),Me(st).forEach(l),at=i(t),f(w.$$.fragment,t),ot=i(t),y=a(t,"P",{"data-svelte-h":!0}),o(y)!=="svelte-4dhajf"&&(y.innerHTML=Kt),mt=i(t),J=a(t,"P",{"data-svelte-h":!0}),o(J)!=="svelte-18zgtbm"&&(J.textContent=te),ft=i(t),g=a(t,"P",{"data-svelte-h":!0}),o(g)!=="svelte-u15nuv"&&(g.innerHTML=ee),rt=i(t),C=a(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-1rwevxp"&&(C.textContent=le),$t=i(t),M=a(t,"P",{"data-svelte-h":!0}),o(M)!=="svelte-18ystj6"&&(M.innerHTML=ne),ht=i(t),f(U.$$.fragment,t),ut=i(t),d=a(t,"P",{"data-svelte-h":!0}),o(d)!=="svelte-ja9dny"&&(d.textContent=se),vt=i(t),x=a(t,"P",{"data-svelte-h":!0}),o(x)!=="svelte-u99m02"&&(x.innerHTML=ie),ct=i(t),P=a(t,"P",{"data-svelte-h":!0}),o(P)!=="svelte-7dckyp"&&(P.textContent=pe),Tt=i(t),T=a(t,"DIV",{class:!0,"data-svelte-h":!0}),o(T)!=="svelte-1mpe2rl"&&(T.innerHTML=ae),bt=i(t),_=a(t,"P",{"data-svelte-h":!0}),o(_)!=="svelte-xqah8e"&&(_.innerHTML=oe),wt=i(t),f(L.$$.fragment,t),yt=i(t),H=a(t,"P",{"data-svelte-h":!0}),o(H)!=="svelte-1w2sqix"&&(H.textContent=me),Jt=i(t),f(k.$$.fragment,t),gt=i(t),b=a(t,"DIV",{class:!0,"data-svelte-h":!0}),o(b)!=="svelte-1cj51wg"&&(b.innerHTML=fe),Ct=i(t),j=a(t,"P",{"data-svelte-h":!0}),o(j)!=="svelte-1ijter0"&&(j.textContent=re),Mt=i(t),f(G.$$.fragment,t),Ut=i(t),N=a(t,"P",{"data-svelte-h":!0}),o(N)!=="svelte-bovwbm"&&(N.textContent=$e),dt=i(t),f(I.$$.fragment,t),xt=i(t),B=a(t,"P",{"data-svelte-h":!0}),o(B)!=="svelte-14ovius"&&(B.innerHTML=he),Pt=i(t),Z=a(t,"P",{"data-svelte-h":!0}),o(Z)!=="svelte-ccw1k0"&&(Z.innerHTML=ue),_t=i(t),z=a(t,"P",{"data-svelte-h":!0}),o(z)!=="svelte-eo2hiz"&&(z.innerHTML=ve),Lt=i(t),W=a(t,"P",{"data-svelte-h":!0}),o(W)!=="svelte-hxc5hh"&&(W.innerHTML=ce),Ht=i(t),R=a(t,"P",{"data-svelte-h":!0}),o(R)!=="svelte-c17dk1"&&(R.innerHTML=Te),kt=i(t),f(F.$$.fragment,t),jt=i(t),V=a(t,"P",{"data-svelte-h":!0}),o(V)!=="svelte-19hgsm0"&&(V.innerHTML=be),Gt=i(t),f(X.$$.fragment,t),Nt=i(t),E=a(t,"P",{"data-svelte-h":!0}),o(E)!=="svelte-1usnr9a"&&(E.innerHTML=we),It=i(t),f(Y.$$.fragment,t),Bt=i(t),f(q.$$.fragment,t),Zt=i(t),Q=a(t,"P",{"data-svelte-h":!0}),o(Q)!=="svelte-51t4bc"&&(Q.innerHTML=ye),zt=i(t),f(S.$$.fragment,t),Wt=i(t),A=a(t,"P",{"data-svelte-h":!0}),o(A)!=="svelte-1hn3c70"&&(A.innerHTML=Je),Rt=i(t),f(D.$$.fragment,t),Ft=i(t),f(O.$$.fragment,t),Vt=i(t),f(K.$$.fragment,t),Xt=i(t),tt=a(t,"P",{"data-svelte-h":!0}),o(tt)!=="svelte-1lf69w6"&&(tt.innerHTML=ge),Et=i(t),f(et.$$.fragment,t),Yt=i(t),lt=a(t,"P",{"data-svelte-h":!0}),o(lt)!=="svelte-2q2jci"&&(lt.textContent=Ce),qt=i(t),f(nt.$$.fragment,t),Qt=i(t),it=a(t,"P",{}),Me(it).forEach(l),this.h()},h(){At(c,"name","hf:doc:metadata"),At(c,"content",Ge),At(T,"class","flex justify-center"),At(b,"class","flex justify-center")},m(t,e){He(document.head,c),n(t,pt,e),n(t,st,e),n(t,at,e),r(w,t,e),n(t,ot,e),n(t,y,e),n(t,mt,e),n(t,J,e),n(t,ft,e),n(t,g,e),n(t,rt,e),n(t,C,e),n(t,$t,e),n(t,M,e),n(t,ht,e),r(U,t,e),n(t,ut,e),n(t,d,e),n(t,vt,e),n(t,x,e),n(t,ct,e),n(t,P,e),n(t,Tt,e),n(t,T,e),n(t,bt,e),n(t,_,e),n(t,wt,e),r(L,t,e),n(t,yt,e),n(t,H,e),n(t,Jt,e),r(k,t,e),n(t,gt,e),n(t,b,e),n(t,Ct,e),n(t,j,e),n(t,Mt,e),r(G,t,e),n(t,Ut,e),n(t,N,e),n(t,dt,e),r(I,t,e),n(t,xt,e),n(t,B,e),n(t,Pt,e),n(t,Z,e),n(t,_t,e),n(t,z,e),n(t,Lt,e),n(t,W,e),n(t,Ht,e),n(t,R,e),n(t,kt,e),r(F,t,e),n(t,jt,e),n(t,V,e),n(t,Gt,e),r(X,t,e),n(t,Nt,e),n(t,E,e),n(t,It,e),r(Y,t,e),n(t,Bt,e),r(q,t,e),n(t,Zt,e),n(t,Q,e),n(t,zt,e),r(S,t,e),n(t,Wt,e),n(t,A,e),n(t,Rt,e),r(D,t,e),n(t,Ft,e),r(O,t,e),n(t,Vt,e),r(K,t,e),n(t,Xt,e),n(t,tt,e),n(t,Et,e),r(et,t,e),n(t,Yt,e),n(t,lt,e),n(t,qt,e),r(nt,t,e),n(t,Qt,e),n(t,it,e),St=!0},p:de,i(t){St||($(w.$$.fragment,t),$(U.$$.fragment,t),$(L.$$.fragment,t),$(k.$$.fragment,t),$(G.$$.fragment,t),$(I.$$.fragment,t),$(F.$$.fragment,t),$(X.$$.fragment,t),$(Y.$$.fragment,t),$(q.$$.fragment,t),$(S.$$.fragment,t),$(D.$$.fragment,t),$(O.$$.fragment,t),$(K.$$.fragment,t),$(et.$$.fragment,t),$(nt.$$.fragment,t),St=!0)},o(t){h(w.$$.fragment,t),h(U.$$.fragment,t),h(L.$$.fragment,t),h(k.$$.fragment,t),h(G.$$.fragment,t),h(I.$$.fragment,t),h(F.$$.fragment,t),h(X.$$.fragment,t),h(Y.$$.fragment,t),h(q.$$.fragment,t),h(S.$$.fragment,t),h(D.$$.fragment,t),h(O.$$.fragment,t),h(K.$$.fragment,t),h(et.$$.fragment,t),h(nt.$$.fragment,t),St=!1},d(t){t&&(l(pt),l(st),l(at),l(ot),l(y),l(mt),l(J),l(ft),l(g),l(rt),l(C),l($t),l(M),l(ht),l(ut),l(d),l(vt),l(x),l(ct),l(P),l(Tt),l(T),l(bt),l(_),l(wt),l(yt),l(H),l(Jt),l(gt),l(b),l(Ct),l(j),l(Mt),l(Ut),l(N),l(dt),l(xt),l(B),l(Pt),l(Z),l(_t),l(z),l(Lt),l(W),l(Ht),l(R),l(kt),l(jt),l(V),l(Gt),l(Nt),l(E),l(It),l(Bt),l(Zt),l(Q),l(zt),l(Wt),l(A),l(Rt),l(Ft),l(Vt),l(Xt),l(tt),l(Et),l(Yt),l(lt),l(qt),l(Qt),l(it)),l(c),u(w,t),u(U,t),u(L,t),u(k,t),u(G,t),u(I,t),u(F,t),u(X,t),u(Y,t),u(q,t),u(S,t),u(D,t),u(O,t),u(K,t),u(et,t),u(nt,t)}}}const Ge='{"title":"课程简介","local":"课程简介","sections":[{"title":"使用 Google Colab Notebook","local":"使用 Google Colab Notebook","sections":[],"depth":2},{"title":"使用 Python 虚拟环境","local":"使用 Python 虚拟环境","sections":[{"title":"安装依赖","local":"安装依赖","sections":[],"depth":3}],"depth":2}],"depth":1}';function Ne(Ot){return xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class We extends Pe{constructor(c){super(),_e(this,c,Ne,je,Ue,{})}}export{We as component};
