import{s as ue,n as xe,o as ge}from"../chunks/scheduler.37c15a92.js";import{S as re,i as Ce,g as p,s as i,r as m,A as ve,h as a,f as l,c as s,j as me,u as $,x as f,k as $e,y as he,a as n,v as u,d as x,t as g,w as r}from"../chunks/index.2bf4358c.js";import{C as _e}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as be}from"../chunks/CourseFloatingBanner.06521e8b.js";import{H as C,E as oe}from"../chunks/EditOnGithub.8916dc7c.js";function we(At){let v,et,K,lt,h,nt,_,it,b,Rt="模型卡片是一个配置文件，可以说与模型存储库中的模型和 tokenizer 文件一样重要。它包含了模型的核心定义，确保了社区成员可以复现模型的结果，并提供一个其他成员可以在这个模型基础上构建他们的组件的平台。",st,o,Nt="记录训练和评估过程并提供有关使用的数据以及已完成的预处理和后续处理的足够信息，有助于其他人了解对模型的能力——模型存的局限性、偏见以及模型有效或无效的使用场景。",pt,w,Vt="因此，创建一个清晰定义你的模型的模型卡片是非常重要的一步。在这里，我们提供了一些可以帮助你创建模型卡片的建议。创建模型卡片的内容保存在你之前看到的 README.md 文件中，这是一个 Markdown 文件。",at,M,Dt='“模型卡片”的概念源于谷歌的一个研究方向，Margaret Mitchell 等人在论文 <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">“模型卡片用于模型报告”</a> 中首次提出，这里许多内容均基于该论文，我们建议你查看这篇论文以了解为什么模型卡片在实现可复现性、可重用性和公平性的中如此重要。',ft,T,Gt="模型卡通常以非常简短的概述开始，说明模型的用途，然后是模型卡片需要的其他信息：",mt,P,Ot="<li>模型描述</li> <li>预期用途和限制</li> <li>如何使用</li> <li>局限性和偏见</li> <li>训练数据</li> <li>训练程序</li> <li>评价结果</li>",$t,H,Xt="让我们来看看每个部分应该包含什么。",ut,c,xt,j,Yt="提供了有关模型的基本详细信息。这包括架构、版本、如果它是在论文中介绍的，是否有原始的实现可用？作者以及有关模型的一般信息、任何版权都应归于此处。这一部分还可以提及有关训练程序、参数和重要免责声明的一般信息。",gt,L,rt,d,Zt="在此描述模型可以适用的例子，包括可以应用它的语言、领域。模型卡的这一部分还可以记录已知超出模型范围的区域，或者可能表现不佳的区域。",Ct,y,vt,E,It="此部分应包括一些有关如何使用模型的示例。这可以展示使用 <code>pipeline()</code> 函数、模型和 tokenizer 的使用以及其他任何你认为可能有帮助的代码。",ht,k,_t,U,Jt="这部分应该指出模型是在哪个数据集上训练的。也欢迎对数据集进行简要描述。",bt,z,ot,B,Wt="此部分中，你应该描述从再现性角度来看有用的训练的所有相关方面。这包括对数据进行的任何预处理和后处理，以及模型训练的批量数、批量大小、学习率等细节。",wt,S,Mt,q,Kt="在这里，你应该描述你用于评估的指标，以及你测量的不同因素。提及使用了哪些指标、在哪个数据集上以及哪个数据集部分，可以轻松地将你的模型的性能与其他模型的性能进行比较。",Tt,Q,Pt,F,te="这些应该提前在前面的部分告知，例如预期的使用效果和示例。最后，提供模型在评估数据集上的表现的指示。如果模型使用决策阈值，要么提供评估中使用的决策阈值，要么提供在不同阈值下针对预期用途进行评估的详细信息。",Ht,A,ct,R,ee="请查看以下几个精心制作的模型卡的示例：",jt,N,le='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow">bert-base-cased</a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow">gpt2</a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow">distilbert</a></li>',Lt,V,ne='更多来自于不同组织和公司的示例可以在 <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">模型卡片示例</a> 中查阅．',dt,D,yt,G,ie="发布模型时，并非必须有模型卡片，制作一个模型时不需要包含上述所有部分。但是，模型的文档会使未来的用户受益，因此我们建议你尽你所知和能力所及地尽可能填写尽可能多的部分。",Et,O,kt,X,se="如果你对 Hugging Face Hub 进行了一些探索，你应该已经看到某些模型属于某些类别：你可以按任务、语言、库等对其进行筛选。模型所属的类别来自于你在模型卡片头部中添加的元数据。",Ut,Y,pe='例如，如果你看一下 <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow"><code>camembert-base</code> 模型卡片</a> ，你应该在模型卡头部中看到以下几行：',zt,Z,Bt,I,ae="该元数据由 Hugging Face Hub 解析，然后将这个模型为法语模型，拥有 MIT 许可证，在 Oscar 数据集上训练。",St,J,fe='可以在 <a href="https://raw.githubusercontent.com/huggingface/huggingface_hub/main/modelcard.md" rel="nofollow">全部模型卡片的规格</a> 查阅支持的语言、许可证、标签、数据集、指标以及模型在训练时获得的评估结果。',qt,W,Qt,tt,Ft;return h=new C({props:{title:"构建模型卡片",local:"构建模型卡片",headingTag:"h1"}}),_=new be({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),c=new C({props:{title:"模型描述：",local:"模型描述：",headingTag:"h3"}}),L=new C({props:{title:"预期用途和限制：",local:"预期用途和限制：",headingTag:"h3"}}),y=new C({props:{title:"使用方法：",local:"使用方法：",headingTag:"h3"}}),k=new C({props:{title:"训练数据：",local:"训练数据：",headingTag:"h3"}}),z=new C({props:{title:"训练过程：",local:"训练过程：",headingTag:"h3"}}),S=new C({props:{title:"变量和指标：",local:"变量和指标：",headingTag:"h3"}}),Q=new C({props:{title:"评估结果：",local:"评估结果：",headingTag:"h3"}}),A=new C({props:{title:"示例",local:"示例",headingTag:"h2"}}),D=new C({props:{title:"注意事项",local:"注意事项",headingTag:"h2"}}),O=new C({props:{title:"模型卡片元数据",local:"模型卡片元数据",headingTag:"h2"}}),Z=new _e({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),W=new oe({props:{source:"https://github.com/huggingface/course/blob/main/chapters/zh-CN/chapter4/4.mdx"}}),{c(){v=p("meta"),et=i(),K=p("p"),lt=i(),m(h.$$.fragment),nt=i(),m(_.$$.fragment),it=i(),b=p("p"),b.textContent=Rt,st=i(),o=p("p"),o.textContent=Nt,pt=i(),w=p("p"),w.textContent=Vt,at=i(),M=p("p"),M.innerHTML=Dt,ft=i(),T=p("p"),T.textContent=Gt,mt=i(),P=p("ul"),P.innerHTML=Ot,$t=i(),H=p("p"),H.textContent=Xt,ut=i(),m(c.$$.fragment),xt=i(),j=p("p"),j.textContent=Yt,gt=i(),m(L.$$.fragment),rt=i(),d=p("p"),d.textContent=Zt,Ct=i(),m(y.$$.fragment),vt=i(),E=p("p"),E.innerHTML=It,ht=i(),m(k.$$.fragment),_t=i(),U=p("p"),U.textContent=Jt,bt=i(),m(z.$$.fragment),ot=i(),B=p("p"),B.textContent=Wt,wt=i(),m(S.$$.fragment),Mt=i(),q=p("p"),q.textContent=Kt,Tt=i(),m(Q.$$.fragment),Pt=i(),F=p("p"),F.textContent=te,Ht=i(),m(A.$$.fragment),ct=i(),R=p("p"),R.textContent=ee,jt=i(),N=p("ul"),N.innerHTML=le,Lt=i(),V=p("p"),V.innerHTML=ne,dt=i(),m(D.$$.fragment),yt=i(),G=p("p"),G.textContent=ie,Et=i(),m(O.$$.fragment),kt=i(),X=p("p"),X.textContent=se,Ut=i(),Y=p("p"),Y.innerHTML=pe,zt=i(),m(Z.$$.fragment),Bt=i(),I=p("p"),I.textContent=ae,St=i(),J=p("p"),J.innerHTML=fe,qt=i(),m(W.$$.fragment),Qt=i(),tt=p("p"),this.h()},l(t){const e=ve("svelte-u9bgzb",document.head);v=a(e,"META",{name:!0,content:!0}),e.forEach(l),et=s(t),K=a(t,"P",{}),me(K).forEach(l),lt=s(t),$(h.$$.fragment,t),nt=s(t),$(_.$$.fragment,t),it=s(t),b=a(t,"P",{"data-svelte-h":!0}),f(b)!=="svelte-aal4cb"&&(b.textContent=Rt),st=s(t),o=a(t,"P",{"data-svelte-h":!0}),f(o)!=="svelte-13zjpgx"&&(o.textContent=Nt),pt=s(t),w=a(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-vytgsp"&&(w.textContent=Vt),at=s(t),M=a(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-109gnn2"&&(M.innerHTML=Dt),ft=s(t),T=a(t,"P",{"data-svelte-h":!0}),f(T)!=="svelte-1xbucg6"&&(T.textContent=Gt),mt=s(t),P=a(t,"UL",{"data-svelte-h":!0}),f(P)!=="svelte-1rysjfw"&&(P.innerHTML=Ot),$t=s(t),H=a(t,"P",{"data-svelte-h":!0}),f(H)!=="svelte-5bwtpn"&&(H.textContent=Xt),ut=s(t),$(c.$$.fragment,t),xt=s(t),j=a(t,"P",{"data-svelte-h":!0}),f(j)!=="svelte-1qa1224"&&(j.textContent=Yt),gt=s(t),$(L.$$.fragment,t),rt=s(t),d=a(t,"P",{"data-svelte-h":!0}),f(d)!=="svelte-1x4b5p8"&&(d.textContent=Zt),Ct=s(t),$(y.$$.fragment,t),vt=s(t),E=a(t,"P",{"data-svelte-h":!0}),f(E)!=="svelte-1yq6ach"&&(E.innerHTML=It),ht=s(t),$(k.$$.fragment,t),_t=s(t),U=a(t,"P",{"data-svelte-h":!0}),f(U)!=="svelte-k0wfm3"&&(U.textContent=Jt),bt=s(t),$(z.$$.fragment,t),ot=s(t),B=a(t,"P",{"data-svelte-h":!0}),f(B)!=="svelte-v2dkm6"&&(B.textContent=Wt),wt=s(t),$(S.$$.fragment,t),Mt=s(t),q=a(t,"P",{"data-svelte-h":!0}),f(q)!=="svelte-1jj5y2q"&&(q.textContent=Kt),Tt=s(t),$(Q.$$.fragment,t),Pt=s(t),F=a(t,"P",{"data-svelte-h":!0}),f(F)!=="svelte-5euxbo"&&(F.textContent=te),Ht=s(t),$(A.$$.fragment,t),ct=s(t),R=a(t,"P",{"data-svelte-h":!0}),f(R)!=="svelte-m0jq3q"&&(R.textContent=ee),jt=s(t),N=a(t,"UL",{"data-svelte-h":!0}),f(N)!=="svelte-og5yu2"&&(N.innerHTML=le),Lt=s(t),V=a(t,"P",{"data-svelte-h":!0}),f(V)!=="svelte-741r34"&&(V.innerHTML=ne),dt=s(t),$(D.$$.fragment,t),yt=s(t),G=a(t,"P",{"data-svelte-h":!0}),f(G)!=="svelte-sg6ydy"&&(G.textContent=ie),Et=s(t),$(O.$$.fragment,t),kt=s(t),X=a(t,"P",{"data-svelte-h":!0}),f(X)!=="svelte-pf6k8h"&&(X.textContent=se),Ut=s(t),Y=a(t,"P",{"data-svelte-h":!0}),f(Y)!=="svelte-beudxr"&&(Y.innerHTML=pe),zt=s(t),$(Z.$$.fragment,t),Bt=s(t),I=a(t,"P",{"data-svelte-h":!0}),f(I)!=="svelte-3zpify"&&(I.textContent=ae),St=s(t),J=a(t,"P",{"data-svelte-h":!0}),f(J)!=="svelte-1j2fsy5"&&(J.innerHTML=fe),qt=s(t),$(W.$$.fragment,t),Qt=s(t),tt=a(t,"P",{}),me(tt).forEach(l),this.h()},h(){$e(v,"name","hf:doc:metadata"),$e(v,"content",Me)},m(t,e){he(document.head,v),n(t,et,e),n(t,K,e),n(t,lt,e),u(h,t,e),n(t,nt,e),u(_,t,e),n(t,it,e),n(t,b,e),n(t,st,e),n(t,o,e),n(t,pt,e),n(t,w,e),n(t,at,e),n(t,M,e),n(t,ft,e),n(t,T,e),n(t,mt,e),n(t,P,e),n(t,$t,e),n(t,H,e),n(t,ut,e),u(c,t,e),n(t,xt,e),n(t,j,e),n(t,gt,e),u(L,t,e),n(t,rt,e),n(t,d,e),n(t,Ct,e),u(y,t,e),n(t,vt,e),n(t,E,e),n(t,ht,e),u(k,t,e),n(t,_t,e),n(t,U,e),n(t,bt,e),u(z,t,e),n(t,ot,e),n(t,B,e),n(t,wt,e),u(S,t,e),n(t,Mt,e),n(t,q,e),n(t,Tt,e),u(Q,t,e),n(t,Pt,e),n(t,F,e),n(t,Ht,e),u(A,t,e),n(t,ct,e),n(t,R,e),n(t,jt,e),n(t,N,e),n(t,Lt,e),n(t,V,e),n(t,dt,e),u(D,t,e),n(t,yt,e),n(t,G,e),n(t,Et,e),u(O,t,e),n(t,kt,e),n(t,X,e),n(t,Ut,e),n(t,Y,e),n(t,zt,e),u(Z,t,e),n(t,Bt,e),n(t,I,e),n(t,St,e),n(t,J,e),n(t,qt,e),u(W,t,e),n(t,Qt,e),n(t,tt,e),Ft=!0},p:xe,i(t){Ft||(x(h.$$.fragment,t),x(_.$$.fragment,t),x(c.$$.fragment,t),x(L.$$.fragment,t),x(y.$$.fragment,t),x(k.$$.fragment,t),x(z.$$.fragment,t),x(S.$$.fragment,t),x(Q.$$.fragment,t),x(A.$$.fragment,t),x(D.$$.fragment,t),x(O.$$.fragment,t),x(Z.$$.fragment,t),x(W.$$.fragment,t),Ft=!0)},o(t){g(h.$$.fragment,t),g(_.$$.fragment,t),g(c.$$.fragment,t),g(L.$$.fragment,t),g(y.$$.fragment,t),g(k.$$.fragment,t),g(z.$$.fragment,t),g(S.$$.fragment,t),g(Q.$$.fragment,t),g(A.$$.fragment,t),g(D.$$.fragment,t),g(O.$$.fragment,t),g(Z.$$.fragment,t),g(W.$$.fragment,t),Ft=!1},d(t){t&&(l(et),l(K),l(lt),l(nt),l(it),l(b),l(st),l(o),l(pt),l(w),l(at),l(M),l(ft),l(T),l(mt),l(P),l($t),l(H),l(ut),l(xt),l(j),l(gt),l(rt),l(d),l(Ct),l(vt),l(E),l(ht),l(_t),l(U),l(bt),l(ot),l(B),l(wt),l(Mt),l(q),l(Tt),l(Pt),l(F),l(Ht),l(ct),l(R),l(jt),l(N),l(Lt),l(V),l(dt),l(yt),l(G),l(Et),l(kt),l(X),l(Ut),l(Y),l(zt),l(Bt),l(I),l(St),l(J),l(qt),l(Qt),l(tt)),l(v),r(h,t),r(_,t),r(c,t),r(L,t),r(y,t),r(k,t),r(z,t),r(S,t),r(Q,t),r(A,t),r(D,t),r(O,t),r(Z,t),r(W,t)}}}const Me='{"title":"构建模型卡片","local":"构建模型卡片","sections":[{"title":"模型描述：","local":"模型描述：","sections":[],"depth":3},{"title":"预期用途和限制：","local":"预期用途和限制：","sections":[],"depth":3},{"title":"使用方法：","local":"使用方法：","sections":[],"depth":3},{"title":"训练数据：","local":"训练数据：","sections":[],"depth":3},{"title":"训练过程：","local":"训练过程：","sections":[],"depth":3},{"title":"变量和指标：","local":"变量和指标：","sections":[],"depth":3},{"title":"评估结果：","local":"评估结果：","sections":[],"depth":3},{"title":"示例","local":"示例","sections":[],"depth":2},{"title":"注意事项","local":"注意事项","sections":[],"depth":2},{"title":"模型卡片元数据","local":"模型卡片元数据","sections":[],"depth":2}],"depth":1}';function Te(At){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class de extends re{constructor(v){super(),Ce(this,v,Te,we,ue,{})}}export{de as component};
